<!-- Page Heading -->
<div class="row mar-20">
    <div class="col-lg-8">
        <h1><a  ui-sref="dashboard.orders"> Study Reports </a></h1>
    </div>
    <div class="col-lg-4">
        <a ng-click="createOrder()" class="btn btn-lg btn-info pull-right btn-mar"><i class="fa fa-plus"></i>  Add Study</a>
    </div>
</div>
<!-- /.row -->
<div class="row">
    <div class="col-lg-2 pull-right">

        <div class="form-group input-group">
            <input ng-model="q" type="text" class="form-control" placeholder="Search in study" ng-enter="fetchResults()">
            <span class="input-group-btn"><button class="btn btn-default" ng-click="fetchResults()" type="button"><i class="fa fa-search"></i></button></span>
        </div>
     </div>

    <div class="col-lg-2 pull-right">
        <div class="form-group">
            <select class="form-control ng-pristine ng-valid" ng-model="status"><option value="? object:null ?"></option>
                <option value="" ng-selected="status==null" selected="selected">All type</option>
                <option value="0" ng-selected="status==0">Draft</option>
                <option value="1" ng-selected="status==1">Study stored</option>
                <option value="2" ng-selected="status==2">Image Syncing</option>
                <option value="3" ng-selected="status==3">Retry routing</option>
                <option value="4" ng-selected="status==4">Report pending</option>
                <option value="5" ng-selected="status==5">Report Ready</option>
                <option value="6" ng-selected="status==6">Report Delivered</option>
            </select>

        </div>
    </div>

    <div class="col-lg-2 pull-right" ng-show="user_group!='hospital'">
        <div class="form-group">
            <select class="form-control ng-pristine ng-valid" ng-model="hospital">
                <option value="" ng-selected="hospital==null" selected="selected">All Hospital</option>
                <option ng-repeat=" hospital in hospitals" value="{{ hospital.id }}" > {{ hospital.name }} </option>
            </select>

        </div>
    </div>

</div>

<div class="row">
    <div class="col-lg-12">

        <table class="table table-bordered">
              <thead>
                <tr>
                  <th>Accession ID</th>
                  <th>Modality</th>
                  <th>Priority</th>
                  <th>Patient</th>
                  <th>Provider</th>
                  <th>Hospital</th>
                  <th>Price</th>
                </tr>
              </thead>
              <tbody>
                <tr ng-repeat="order in results.orders">
                  <td>
                    {{ order.accession_id }}
                  </td>
                  <td>{{ order.modality }}</td>
                  <td>{{ order.priority }}</td>
                  <td>{{ order.name }} {{ order.age }}</td>
                  <td>{{ order.provider }}</td>
                  <td>{{ order.hospital }}</td>
                  <td>{{ order.price }}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

<pagination  items-per-page="20" ng-change="fetchResults()" total-items="bigTotalItems" ng-model="bigCurrentPage" max-size="maxSize" class="pagination-sm" boundary-links="true" rotate="false" num-pages="numPages"></pagination>

<!--
<div ng-if="!results.orders.length" class="row">
    <div class="col-lg-12">
        <h1 class="text-center">Sorry no order found</h1>
    </div>
</div>!-->
